## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-autoprop
Version:        4.0.2
Release:        %autorelease
Summary:        Infer properties from accessor methods

License:        MIT
URL:            https://github.com/kalekundert/autoprop
Source0:        %{pypi_source autoprop}

# Remove useless shebang lines
# https://github.com/kalekundert/autoprop/pull/8
Patch0:         %{url}/pull/8.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
This package provides a library for automatically filling in classes with
properties (e.g. obj.x) corresponding to each accessor method (e.g.
obj.get_x(), obj.set_x()). The biggest reasons to use autoprop are:

  • Less boilerplate than defining properties manually.
  • Sophisticated support for cached properties.}

%description %{common_description}


%package -n python3-autoprop
Summary:        %{summary}

%description -n python3-autoprop %{common_description}


%prep
%autosetup -n autoprop-%{version} -p1

# Patch out coverage dependencies
sed -r -i '/\b(pytest-cov|coveralls)\b/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files autoprop


%check
%pytest tests


%files -n python3-autoprop -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.rst


%changelog
* Wed Mar 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.0.2-1
- Initial package (close RHBZ#2038330)
